build: allow builds without cgo
R=bradfitz, dsymonds, fshahriar
CC=golang-dev
https://golang.org/cl/4859043
diff --git a/src/run.bash b/src/run.bash
index ae79a0c..a9689bf 100755
--- a/src/run.bash
+++ b/src/run.bash
@@ -49,20 +49,20 @@
time gomake test
) || exit $?
-[ "$GOARCH" == arm ] ||
+[ "$CGO_ENABLED" != 1 ] ||
[ "$GOHOSTOS" == windows ] ||
(xcd ../misc/cgo/stdio
gomake clean
./test.bash
) || exit $?
-[ "$GOARCH" == arm ] ||
+[ "$CGO_ENABLED" != 1 ] ||
(xcd ../misc/cgo/life
gomake clean
./test.bash
) || exit $?
-[ "$GOARCH" == arm ] ||
+[ "$CGO_ENABLED" != 1 ] ||
[ "$GOHOSTOS" == windows ] ||
(xcd ../misc/cgo/test
gomake clean